<% local form, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		<% if viewlibrary.check_permission("deletetableentry") or viewlibrary.check_permission("updatetableentry") then %>
		$("#list").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
		<% else %>
		$("#list").tablesorter({widgets: ['zebra']});
		<% end %>
	});
</script>

<% htmlviewfunctions.displaycommandresults({"deletetableentry", "updatetableentry"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createtableentry"}, session, true) %>

<h1><%= html.html_escape(form.label) %> - <%= html.html_escape(form.value.table.value) %></h1>
<table id="list" class="tablesorter"><thead>
	<tr>
	<% if viewlibrary.check_permission("deletetableentry") or viewlibrary.check_permission("updatetableentry") then %>
		<th>Action</th>
	<% end %>
	<% for i,f in ipairs(form.value.fields.value) do %>
		<th><%= html.html_escape(f) %></th>
	<% end %>
	</tr>
</thead><tbody>
<% for i,tableentry in ipairs(form.value.entries.value) do %>
	<tr>
	<% if viewlibrary.check_permission("deletetableentry") or viewlibrary.check_permission("updatetableentry") then %>
		<td>
	<% if viewlibrary.check_permission("updatetableentry") then %>
		<form action="updatetableentry" method="post">
                <input class="hidden" type="hidden" name="table" value="<%= html.html_escape(form.value.table.value) %>">
                <input class="hidden" type="hidden" name="id" value="<%= html.html_escape(tableentry.id) %>">
                <input class="hidden" type="hidden" name="redir" value="<%= html.html_escape(page_info.orig_action.."?table="..form.value.table.value) %>">
                <input class="submit" type="submit" value="Update"></form>
	<% end %>
	<% if viewlibrary.check_permission("deletetableentry") then %>
		<form action="deletetableentry" method="post">
                <input class="hidden" type="hidden" name="table" value="<%= html.html_escape(form.value.table.value) %>">
                <input class="hidden" type="hidden" name="id" value="<%= html.html_escape(tableentry.id) %>">
                <input class="submit" type="submit" name="submit" value="Delete"></form>
	<% end %>
		</td>
	<% end %>
	<% for i,f in ipairs(form.value.fields.value) do %>
		<td><%= html.html_escape(tableentry[f]) %></td>
	<% end %>
	</tr>
<% end %>
</tbody></table>
<% if form.errtxt then %>
<p class="error"><%= html.html_escape(form.errtxt) %></p>
<% end %>
<% if #form.value.entries.value == 0 then %>
<p>No entries found</p>
<% end %>

<% if page_info.action == "viewtable" and viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createtableentry") then
	viewlibrary.dispatch_component("createtableentry", {table=form.value.table.value})
end %>
